Dfs< GR, TR >::SetStandardProcessedMap Struct Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
Dfs< GR, TR >::SetStandardProcessedMap Struct Reference

## Detailed Description

### template<typename GR, typename TR>
struct lemon::Dfs< GR, TR >::SetStandardProcessedMap

Named parameter for setting `ProcessedMap` type to be `Digraph::NodeMap<bool>`. If you don't set it explicitly, it will be automatically allocated.

`#include <lemon/dfs.h>`

Inheritance diagram for Dfs< GR, TR >::SetStandardProcessedMap:
[legend]

## Additional Inherited Members
Public Types inherited from Dfs< Digraph, SetStandardProcessedMapTraits >
typedef SetStandardProcessedMapTraits::Digraph | Digraph
| The type of the digraph the algorithm runs on.
typedef SetStandardProcessedMapTraits::PredMap | PredMap
| The type of the map that stores the predecessor arcs of the DFS paths.
typedef SetStandardProcessedMapTraits::DistMap | DistMap
| The type of the map that stores the distances of the nodes.
typedef SetStandardProcessedMapTraits::ReachedMap | ReachedMap
| The type of the map that indicates which nodes are reached.
typedef SetStandardProcessedMapTraits::ProcessedMap | ProcessedMap
| The type of the map that indicates which nodes are processed.
typedef PredMapPath< Digraph, PredMap > | Path
| The type of the paths.
typedef SetStandardProcessedMapTraits | Traits
| The traits class of the algorithm.
Public Member Functions inherited from Dfs< Digraph, SetStandardProcessedMapTraits >
| Dfs (const Digraph &g)
| Constructor. More...
| ~Dfs ()
| Destructor.
Dfs & | predMap (PredMap &m)
| Sets the map that stores the predecessor arcs. More...
Dfs & | reachedMap (ReachedMap &m)
| Sets the map that indicates which nodes are reached. More...
Dfs & | processedMap (ProcessedMap &m)
| Sets the map that indicates which nodes are processed. More...
Dfs & | distMap (DistMap &m)
| Sets the map that stores the distances of the nodes. More...
const PredMap & | predMap () const
| Returns a const reference to the node map that stores the predecessor arcs. More...
const DistMap & | distMap () const
| Returns a const reference to the node map that stores the distances of the nodes. More...
Path | path (Node t) const
| The DFS path to the given node. More...
int | dist (Node v) const
| The distance of the given node from the root(s). More...
Arc | predArc (Node v) const
| Returns the 'previous arc' of the DFS tree for the given node. More...
Node | predNode (Node v) const
| Returns the 'previous node' of the DFS tree for the given node. More...
bool | reached (Node v) const
| Checks if the given node. node is reached from the root(s). More...
void | init ()
| Initializes the internal data structures. More...
void | addSource (Node s)
| Adds a new source node. More...
Arc | processNextArc ()
| Processes the next arc. More...
OutArcIt | nextArc () const
| Next arc to be processed. More...
bool | emptyQueue () const
| Returns `false` if there are nodes to be processed. More...
int | queueSize () const
| Returns the number of the nodes to be processed. More...
void | start ()
| Executes the algorithm. More...
void | start (Node t)
| Executes the algorithm until the given target node is reached. More...
Arc | start (const ArcBoolMap &am)
| Executes the algorithm until a condition is met. More...
void | run (Node s)
| Runs the algorithm from the given source node. More...
bool | run (Node s, Node t)
| Finds the DFS path between `s` and `t`. More...
void | run ()
| Runs the algorithm to visit all nodes in the digraph. More...